package com.zanxiang.game.module.base.rpc;

import com.zanxiang.game.module.base.pojo.vo.GameAuthUserVO;

/**
 * @author : lingfeng
 * @time : 2023-08-17
 * @description : 游戏授权
 */
public interface GameAuthRpc {

    /**
     * 查询指定人的游戏列表, 查询自己则传null
     *
     * @param userId 用户id
     * @return {@link GameAuthUserVO}
     */
    GameAuthUserVO getGameAuthByUserIds(Long userId);
}
